<?php
/**
 * Template part for displaying a post's content
 *
 * @package code4rest
 */

namespace Code4rest;

?>

<div class="<?php echo esc_attr( apply_filters( 'code4rest_entry_content_class', 'entry-content single-content' ) ); ?>">
	<?php
	do_action( 'code4rest_single_before_entry_content' );

	the_content(
		sprintf(
			wp_kses(
				/* translators: %s: Name of current post. Only visible to screen readers */
				__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'code4rest' ),
				array(
					'span' => array(
						'class' => array(),
					),
				)
			),
			get_the_title()
		)
	);

	wp_link_pages(
		array(
			'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'code4rest' ),
			'after'  => '</div>',
		)
	);
	do_action( 'code4rest_single_after_entry_content' );
	?>
</div><!-- .entry-content -->
